Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIXMLDocument

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.POIXMLDocument

Direct Known Subclasses:
  XSLFSlideShow, XSSFWorkbook, XWPFDocument

    public abstract class POIXMLDocument

extends POIXMLDocumentPart

Field Summary
`static java.lang.String` | `DOCUMENT_CREATOR`
`static java.lang.String` | `OLE_OBJECT_REL_TYPE`
`static java.lang.String` | `PACK_OBJECT_REL_TYPE`

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`abstract java.util.List` | `getAllEmbedds()` Get the document's embedded files.
`OPCPackage` | `getPackage()`
`POIXMLProperties` | `getProperties()` Get the document properties.
`static boolean` | `hasOOXMLHeader(java.io.InputStream inp)` Checks that the supplied InputStream (which MUST support mark and reset, or be a PushbackInputStream) has a OOXML (zip) header at the start of it.
`static OPCPackage` | `openPackage(java.lang.String path)` Wrapper to open a package, returning an IOException in the event of a problem.
`void` | `write(java.io.OutputStream stream)` Write out this document to an Outputstream.

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, removeRelation, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOCUMENT_CREATOR

    public static final java.lang.String DOCUMENT_CREATOR

See Also:
  Constant Field Values

### OLE_OBJECT_REL_TYPE

    public static final java.lang.String OLE_OBJECT_REL_TYPE

See Also:
  Constant Field Values

### PACK_OBJECT_REL_TYPE

    public static final java.lang.String PACK_OBJECT_REL_TYPE

See Also:
  Constant Field Values

Method Detail

### openPackage

    public static OPCPackage openPackage(java.lang.String path)
                                  throws java.io.IOException

  Wrapper to open a package, returning an IOException in the event of a problem. Works around shortcomings in java's this() constructor calls

  Throws:
    `java.io.IOException`

### getPackage

    public OPCPackage getPackage()

### hasOOXMLHeader

    public static boolean hasOOXMLHeader(java.io.InputStream inp)
                                  throws java.io.IOException

  Checks that the supplied InputStream (which MUST support mark and reset, or be a PushbackInputStream) has a OOXML (zip) header at the start of it. If your InputStream does not support mark / reset, then wrap it in a PushBackInputStream, then be sure to always use that, and not the original!

  Parameters:
    `inp` - An InputStream which supports either mark/reset, or is a PushbackInputStream
  Throws:
    `java.io.IOException`

### getProperties

    public POIXMLProperties getProperties()

  Get the document properties. This gives you access to the core ooxml properties, and the extended ooxml properties.

### getAllEmbedds

    public abstract java.util.List getAllEmbedds()
                                          throws OpenXML4JException

  Get the document's embedded files.

  Throws:
    `OpenXML4JException`

### write

    public final void write(java.io.OutputStream stream)
                     throws java.io.IOException

  Write out this document to an Outputstream.

  Parameters:
    `stream` - - the java OutputStream you wish to write the file to
  Throws:
    `java.io.IOException` - if anything can't be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD